import { NextFunction, Request, Response } from "express";

import News from "../../models/NewsSchema";

const addNews = () => {
  return (req: Request, res: Response, next: NextFunction) => {
    const news = new News();
    news.title = req.body.title;
    news.text = req.body.text;
    news.publishedAt = new Date().toDateString();

    news.save((err) => {
      if (err) {
      } else {
        res.status(201);
        res.data.newsObject = news;
      }
      next();
    });
  };
};

export default addNews;
