import { NextFunction, Request, Response } from "express";

import Profile from "../../models/ProfileSchema";

const updateUser = () => (req: Request, res: Response, next: NextFunction) => {
  const validFields = ["studentCardNumber", "roomNumber", "picture"];
  Profile.findOne({ _id: req.params.id }, (error, profile) => {
    res.status(200);
    if (error) {
      res.status(400);
    } else {
      if (profile) {
        validFields.forEach((field) => {
          const value = req.body[field];
          if (value) profile.set(field, value);
        });
        profile.save();
        res.data = { profile };
      }
    }
    next();
  });
};

export default updateUser;
